al_set_current_opengl_context(3)

NAME

al_set_current_opengl_context - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    void al_set_current_opengl_context(ALLEGRO_DISPLAY *display)

DESCRIPTION

Make the OpenGL context associated with the given display current for the calling thread. If there is a current target bitmap which belongs to a different OpenGL context, the target bitmap will be changed to NULL.

Normally you do not need to use this function, as the context will be made current when you call al_set_target_bitmap(3) or al_set_target_backbuffer(3). You might need it if you created an OpenGL "forward compatible" context. Then al_get_backbuffer(3) only returns NULL, so it would not work to pass that to al_set_target_bitmap(3).